org.multiverse.api.exceptions

## Class TxnMandatoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.PropagationException
          - - org.multiverse.api.exceptions.TxnMandatoryException

All Implemented Interfaces:
  java.io.Serializable

    public class TxnMandatoryException
    extends PropagationException

A `PropagationException` thrown when no `Txn` is available while it is mandatory. A typical cause of this exception is that the `PropagationLevel.Mandatory` is used.

See Also:
  `TxnFactoryBuilder.setPropagationLevel(org.multiverse.api.PropagationLevel)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TxnMandatoryException()` Creates a new TxnMandatoryException.
`TxnMandatoryException(java.lang.Class clazz, java.lang.String method)` Creates a new TxnMandatoryException
`TxnMandatoryException(java.lang.String message)` Creates a new TxnMandatoryException with the provided message.
`TxnMandatoryException(java.lang.String message, java.lang.Throwable cause)` Creates a new TxnMandatoryException with the provided message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxnMandatoryException

    public TxnMandatoryException()

Creates a new TxnMandatoryException.

#### TxnMandatoryException

    public TxnMandatoryException(java.lang.String message)

Creates a new TxnMandatoryException with the provided message.

Parameters:
  `message` - the message of the exception.

#### TxnMandatoryException

    public TxnMandatoryException(java.lang.Class clazz,
                         java.lang.String method)

Creates a new TxnMandatoryException

Parameters:
  `clazz` - the class of the method where the transaction was required
  `method` - the name of the method where the transaction was required.

#### TxnMandatoryException

    public TxnMandatoryException(java.lang.String message,
                         java.lang.Throwable cause)

Creates a new TxnMandatoryException with the provided message.

Parameters:
  `message` - the message of the exception.
  `cause` - the cause of the exception.